glab(1)

NAME

glab-ci-run-trig - Run a CI/CD pipeline trigger

SYNOPSIS

glab ci run-trig [flags]

DESCRIPTION

Run a CI/CD pipeline trigger

OPTIONS

-b, --branch=""
    Create pipeline on branch/ref

-t, --token=""
    Pipeline trigger token (can be omitted only if CI_JOB_TOKEN environment variable is set)

--variables=[]
    Pass variables to pipeline in format :

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for command

-R, --repo=""
    Select another repository using the OWNER/REPO or GROUP/NAMESPACE/REPO format or full URL or git URL

EXAMPLE
    glab ci run-trig -t xxxx
    glab ci run-trig -t xxxx -b main
    glab ci run-trig -t xxxx -b main --variables key1:val1
    glab ci run-trig -t xxxx -b main --variables key1:val1,key2:val2
    glab ci run-trig -t xxxx -b main --variables key1:val1 --variables key2:val2

SEE ALSO

glab-ci(1)